Name:          foxtrotgps
Version:       1.1.1
Release:       9%{?dist}
Summary:       GTK+ mapping and GPS application
Group:         Applications/Productivity
License:       GPLv2
URL:           http://www.foxtrotgps.org
Source0:       http://www.foxtrotgps.org/releases/%{name}-%{version}.tar.xz

BuildRequires: bluez-libs-devel
BuildRequires: dbus-devel
BuildRequires: gtk2-devel
BuildRequires: libglade2-devel
BuildRequires: GConf2-devel
BuildRequires: libcurl-devel
BuildRequires: libexif-devel
BuildRequires: libxml2-devel
BuildRequires: sqlite-devel
BuildRequires: gettext
BuildRequires: desktop-file-utils
BuildRequires: intltool
BuildRequires: gpsd-devel

Requires: gpsd

# foxtrotgps is a fork of tangogps which was previously packaged for Fedora.
# tangogps is dead since 2012, therefore we include foxtrotgps into Fedora
# and obsolete tangogps.
Obsoletes: tangogps

# The following two package are only needed, if someone wants
# to geotag photos, which is an optional functionality. We 
# decided to include them, because then all functionality is
# available without manual package installation.
Requires: gpscorrelate
Requires: jhead

Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

%description
FoxtrotGPS is an easy-to-use graphical tool that can be used
to track the position of a GPS receiver on a map in relation to
user-defined points of interest (POIs), a destination and waypoints,
and tracks loaded from files or internet routing-services.

FoxtrotGPS also allows internet-connected users to share their position
with other users and send messages.

By default it uses map data from the OpenStreetMap.org project; 
additionally a variety of other repositories can easily be added.

%prep
%setup -q

%build
%configure --disable-schemas-install
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
rm -rf %{buildroot}/usr/share/doc/%{name}/
mv %{buildroot}%{_sysconfdir}/gconf/schemas/apps_foxtrotgps.schemas %{buildroot}%{_sysconfdir}/gconf/schemas/%{name}.schemas

%find_lang %{name}

%pre
%gconf_schema_prepare %{name}

%post
%gconf_schema_upgrade %{name}

%preun
%gconf_schema_remove %{name}

%files -f %{name}.lang
%doc COPYING AUTHORS ChangeLog HACKING NEWS README
%doc contrib/README.osb2foxtrot

%{_bindir}/foxtrotgps
%{_bindir}/convert2gpx
%{_bindir}/convert2osm
%{_bindir}/poi2osm
%{_bindir}/osb2foxtrot
%{_bindir}/georss2foxtrotgps-poi
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/foxtrotgps.png
%{_datadir}/pixmaps/foxtrotgps-*.png
%{_mandir}/man?/*

%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_datadir}/%{name}

%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Nov 27 2013 Dr. Tilmann Bubeck <t.bubeck@reinform.de> - 1.1.1-7
- Rebuilt, because libgps was updated. Fixed dates in specfile.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Aug 04 2012 Dr. Tilmann Bubeck <t.bubeck@reinform.de> - 1.1.1-4
- Obsoletes: tangogps

* Sat Aug 04 2012 Dr. Tilmann Bubeck <t.bubeck@reinform.de> - 1.1.1-3
- fixed typo in description

* Wed Aug 01 2012 Dr. Tilmann Bubeck <t.bubeck@reinform.de> - 1.1.1-2
- removed Requires: dbus, cleaned up spec file, 
  removed EPEL 5 support, consistent use of %{buildroot} and %{name}

* Tue Jul 31 2012 Dr. Tilmann Bubeck <t.bubeck@reinform.de> - 1.1.1-1
- initial package based upon Fedora's tangogps.spec

